ViewDependentShadowTechnique File Reference
`#include <osg/Identifier>`
`#include <osgShadow/ShadowTechnique>`
`#include <osgShadow/Export>`
`#include <map>`

Go to the source code of this file.

## Classes

class | osgShadow::ViewDependentShadowTechnique
struct | osgShadow::ViewDependentShadowTechnique::ViewData

## Namespaces

namespace | osgShadow

## Macros

#define | OSGSHADOW_VIEWDEPENDENTSHADOWTECHINIQUE 1
#define | META_ViewDependentShadowTechniqueData(ShadowTechnique, TechniqueData)

## Macro Definition Documentation

## META_ViewDependentShadowTechniqueData

#define META_ViewDependentShadowTechniqueData | ( |  | ShadowTechnique,
|  |  | TechniqueData )

Value:
virtual ViewDependentShadowTechnique::ViewData * initViewDependentData \
( osgUtil::CullVisitor *cv, ViewDependentShadowTechnique::ViewData * vd ) \
{ \
TechniqueData* td = dynamic_cast<TechniqueData*>( vd ); \
if ( !td ) td = new TechniqueData; \
td->init( this, cv ); \
return td; \
}
osgUtil::CullVisitor
Definition CullVisitor:49

META_ViewDependentShadowTechniqueData macro defines initViewDependentData method used by derived shadow techniques to initialize their specific ViewData objects. initViewDependentData will be called from ViewDependentShadowTechnique base class to init derived class

## OSGSHADOW_VIEWDEPENDENTSHADOWTECHINIQUE

#define OSGSHADOW_VIEWDEPENDENTSHADOWTECHINIQUE 1